import 'package:freezed_annotation/freezed_annotation.dart';

import '../../state/app/modules/app_modules.dart';

part 'modules_settings.g.dart';

@JsonSerializable()
class ModulesSettings {
  List<Modules> moduleOrder;
  List<Modules> hiddenModules;
  bool autoFillBottomBar;
  int fixedBottomBarSlots;

  ModulesSettings({
    required this.moduleOrder,
    required this.hiddenModules,
    this.autoFillBottomBar = true,
    this.fixedBottomBarSlots = 3,
  });

  factory ModulesSettings.fromJson(Map<String, dynamic> json) =>
      _$ModulesSettingsFromJson(json);
  Map<String, dynamic> toJson() => _$ModulesSettingsToJson(this);
}
